## org.apache.lucene.facet.index.params
Class FacetParamsMissingPropertyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.lucene.facet.FacetException
                      org.apache.lucene.facet.index.params.FacetParamsMissingPropertyException

All Implemented Interfaces:
  Serializable

    public class FacetParamsMissingPropertyException

extends FacetException

Thrown when the facets params are missing a property. *

See Also:
  Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`FacetParamsMissingPropertyException(String key)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacetParamsMissingPropertyException

    public FacetParamsMissingPropertyException(String key)